Skip to main content
POST
Resolve Queue Item Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string | null

Path Parameters

item_id
string<uuid>
required

Body

application/json

Body for POST /api/v1/queue/{item_id}/resolve.

resolution_action
enum<string>
required

One of the seven actions from review_queue_items.resolution_action CHECK (migration 149).

Available options:
continue,
stop,
stop_and_suppress,
reply_manually,
pause_n_days,
pause_until_date,
switch_channel
resolution_action_params
Resolution Action Params · object | null

Per-action params. pause_n_days requires {'days': }; pause_until_date requires {'until': }; other actions ignore.

resolution_note
string | null

Optional operator note (audit trail).

Maximum string length: 2000

Response

Successful Response

Body for POST /api/v1/queue/{item_id}/resolve happy path.

queue_item_id
string<uuid>
required
resolved
boolean
required
current_status
string
required
resolution_action
string
required
suppressed
boolean
required

True only when resolution_action='stop_and_suppress' AND the suppression row was written (or already existed).